## INTRODUCTION

Decoupled WebAuthn Register Login (dwarl) provides apis for user registration
and login using webauthn and JWT tokens, for decoupled front end apps such as
PWAs.

See https://app.swaggerhub.com/apis/dahousecat/Dwarl/1.0.0#/ for some unfinished documentation.

## REQUIREMENTS

- **jwt**
  - Provides JWT access tokens for auth.
- **jwt_auth_issuer**
  - Sets token claims: iat, exp and drupal uid.
- **jwt_auth_consumer**
  - Validates token.
- **public_key_credential_source**
  - Create entity type to hold pass keys.
- **webauthn_framework**
  - For providing WebAuthn functionality.

## INSTALLATION

Install the module via composer.

Review permissions.

Follow setup steps for JWT module generating and setting your JWT HMAC token.

Create a key with id twilio_account with properties sid and token. 

The most reliable documentation at this point is the tests. They should all pass so document how each API endpoint 
is intended to be used.

## MAINTAINERS

Current maintainers for Drupal 10:

- Felix Fever - https://www.drupal.org/u/dahousecat
