<?php

declare(strict_types=1);

namespace Drupal\dwarl_mailer;

use Drupal\Component\Render\MarkupInterface;

/**
 * Email manager interface.
 */
interface EmailManagerInterface {

  /**
   * Send a code email.
   *
   * @param string $email
   *   The email address.
   * @param string $code
   *   The code.
   * @param string $text
   *   The email body.
   */
  public function sendCodeEmail(string $email, string $code, string $text): void;

  /**
   * Hook mail.
   *
   * @param string $key
   *   THe key.
   * @param array $message
   *   THe message.
   * @param array $params
   *   The params.
   */
  public static function hookMail(string $key, array &$message, array $params): void;

}
