<?php

declare(strict_types=1);

namespace Drupal\dwarl\Exception;

use Symfony\Component\HttpFoundation\Response;
use Symfony\Component\HttpKernel\Exception\HttpException;

/**
 * Missing Parameter Exception.
 */
class BadRequestException extends HttpException {

  /**
   * {@inheritDoc}
   */
  public function __construct(
    string $message = 'Bad request',
    ?\Throwable $previous = NULL,
  ) {
    $statusCode = Response::HTTP_UNPROCESSABLE_ENTITY;
    parent::__construct($statusCode, $message, $previous, [], 0);
  }

}
