<?php

declare(strict_types=1);

namespace Drupal\dwarl\Exception;

use Symfony\Component\HttpFoundation\Response;
use Symfony\Component\HttpKernel\Exception\HttpException;

/**
 * Invalid Contact Method Exception.
 */
class InvalidContactMethodException extends HttpException {

  /**
   * {@inheritDoc}
   */
  public function __construct(
    string $message = 'Invalid contact method. Valid methods are email or phone.',
    ?\Throwable $previous = NULL,
  ) {
    $statusCode = Response::HTTP_UNPROCESSABLE_ENTITY;
    parent::__construct($statusCode, $message, $previous);
  }

}
