<?php

declare(strict_types=1);

namespace Drupal\dwarl\Exception;

use Symfony\Component\HttpFoundation\Response;
use Symfony\Component\HttpKernel\Exception\HttpException;

/**
 * Missing field exception.
 */
class MissingFieldException extends HttpException {

  /**
   * {@inheritDoc}
   */
  public function __construct(
    string $field,
    string $label,
    ?\Throwable $previous = NULL,
  ) {
    $message = "$label missing $field.";
    $statusCode = Response::HTTP_UNPROCESSABLE_ENTITY;
    parent::__construct($statusCode, $message, $previous, [], 0);
  }

}
