<?php

namespace Drupal\dwarl\Exception;

use Symfony\Component\HttpFoundation\Response;
use Symfony\Component\HttpKernel\Exception\HttpException;

/**
 * Missing Parameter Exception.
 */
class MissingParameterException extends HttpException {

  /**
   * {@inheritDoc}
   */
  public function __construct(
    string $key,
    ?\Throwable $previous = NULL,
  ) {
    $statusCode = Response::HTTP_UNPROCESSABLE_ENTITY;
    $message = 'Missing required parameter: ' . $key;
    parent::__construct($statusCode, $message, $previous, [], 0);
  }

}
