<?php

declare(strict_types=1);

namespace Drupal\dwarl\Exception;

use Symfony\Component\HttpFoundation\Response;
use Symfony\Component\HttpKernel\Exception\HttpException;

/**
 * More than one passkey exception.
 */
class MoreThanOnePasskeyException extends HttpException {

  /**
   * {@inheritDoc}
   */
  public function __construct(
    string $message = 'Account has multiple passkeys. Use a different passkey to sign in.',
    ?\Throwable $previous = NULL,
  ) {
    $statusCode = Response::HTTP_FORBIDDEN;
    parent::__construct($statusCode, $message, $previous, [], 0);
  }

}
