<?php

declare(strict_types=1);

namespace Drupal\dwarl\Exception;

use Symfony\Component\HttpFoundation\Response;
use Symfony\Component\HttpKernel\Exception\HttpException;

/**
 * No passkeys exception.
 */
class NoPasskeysException extends HttpException {

  /**
   * {@inheritDoc}
   */
  public function __construct(
    string $message = 'No passkeys found',
    ?\Throwable $previous = NULL,
  ) {
    $statusCode = Response::HTTP_FORBIDDEN;
    parent::__construct($statusCode, $message, $previous, [], 0);
  }

}
