<?php

declare(strict_types=1);

namespace Drupal\dwarl\Exception;

use Symfony\Component\HttpFoundation\Response;
use Symfony\Component\HttpKernel\Exception\HttpException;

/**
 * No validated contact method exception.
 */
class NoValidatedContactMethodException extends HttpException {

  /**
   * {@inheritDoc}
   */
  public function __construct(
    string $message = 'Error, no validated email or phone',
    ?\Throwable $previous = NULL,
  ) {
    $statusCode = Response::HTTP_UNPROCESSABLE_ENTITY;
    parent::__construct($statusCode, $message, $previous, [], 0);
  }

}
