<?php

declare(strict_types=1);

namespace Drupal\dwarl\Exception;

use Symfony\Component\HttpFoundation\Response;
use Symfony\Component\HttpKernel\Exception\HttpException;

/**
 * String too short exception.
 */
class StringTooShortException extends HttpException {

  /**
   * {@inheritDoc}
   */
  public function __construct(
    string $key,
    int $minLength,
    ?\Throwable $previous = NULL,
  ) {
    $message = "$key must be at least $minLength long.";
    $statusCode = Response::HTTP_UNPROCESSABLE_ENTITY;
    parent::__construct($statusCode, $message, $previous, [], 0);
  }

}
