<?php

declare(strict_types=1);

namespace Drupal\dwarl\Otp;

/**
 * Define reason why an OTP might be sent.
 *
 * Your one time code to .... is:
 */
enum OtpSendReason: string {
  case Register = 'create an account';
  case UpdateEmail = 'update your email address';
  case UpdatePhone = 'update your phone number';
  case SetEmail = 'set your email address';
  case SetPhone = 'set your phone number';
  case ForgotPassword = 'recover your account after forgot password';
  case UpdatePassword = 'update your password';
  case LostPasskey = 'recover your account after lost passkey';

}
