<?php

declare(strict_types=1);

namespace Drupal\dwarl\WebAuthn;

use Drupal\user\UserInterface;

/**
 * Authenticate Request Interface.
 */
interface AuthenticateRequestInterface {

  /**
   * Authenticate request.
   *
   * @param string $userHandle
   *   The user handle.
   * @param string $authenticationRequest
   *   The request.
   *
   * @return \Drupal\user\UserInterface
   *   The user.
   *
   * @throws \Drupal\webauthn_jwt\Exception\WebauthnJwtException
   * @throws \Drupal\public_key_credential_source\Exception\PublicKeyCredentialSourceWebauthnInvalidArgumentException
   * @throws \Drupal\public_key_credential_source\Exception\PublicKeyCredentialSourceWebauthnUnexpectedValueException
   * @throws \Drupal\public_key_credential_source\Exception\PublicKeyCredentialSourceWebauthnValidationFailedException
   */
  public function execute(string $userHandle, string $authenticationRequest): UserInterface;

}
