<?php

declare(strict_types=1);

namespace Drupal\dwarl\WebAuthn;

/**
 * Register Device Options Interface.
 */
interface RegisterDeviceOptionsInterface {

  /**
   * Get registration option.
   *
   * @return string
   *   The registration options.
   *
   * @throws \Drupal\webauthn_jwt\Exception\WebauthnJwtException
   * @throws \JsonException
   * @throws \Drupal\public_key_credential_source\Exception\PublicKeyCredentialSourceWebauthnUnexpectedValueException
   * @throws \Drupal\dwarl\Exception\DwarlStoreException
   */
  public function getRegistrationOptions(): string;

}
