<?php

declare(strict_types=1);

namespace Drupal\dwarl\WebAuthn;

use Drupal\Core\Entity\EntityTypeManagerInterface;
use Drupal\Core\Session\AccountProxyInterface;
use Drupal\public_key_credential_source\Services\PublicKeyCredentialSourceWebauthn;
use Psr\Log\LoggerInterface;
use Webmozart\Assert\Assert;

/**
 * Request Options.
 */
class RequestOptions extends WebAuthnBase implements RequestOptionsInterface {

  /**
   * {@inheritdoc}
   */
  public function getRequestOptions(string $userHandle): ?object {
    $response = $this->webauthn->getRequestOptions($userHandle);
    $decoded = json_decode($response, NULL, 10, JSON_THROW_ON_ERROR);
    return is_object($decoded) ? $decoded : NULL;
  }

}
