<?php

declare(strict_types=1);

namespace Drupal\dwarl\WebAuthn;

/**
 * Request Options Interface.
 */
interface RequestOptionsInterface {

  /**
   * Get request options.
   *
   * @param string $userHandle
   *   The user handle.
   *
   * @return object|null
   *   The request options.
   *
   * @throws \JsonException
   * @throws \Drupal\public_key_credential_source\Exception\PublicKeyCredentialSourceWebauthnException
   */
  public function getRequestOptions(string $userHandle): ?object;

}
