<?php

declare(strict_types=1);

namespace Drupal\dwarl\WebAuthn;

use Drupal\Core\Session\AccountProxyInterface;
use Drupal\dwarl\DwarlUserInterface;
use Drupal\dwarl\Store\AnonymousStoreInterface;
use Drupal\dwarl\UserService;
use Drupal\public_key_credential_source\Services\PublicKeyCredentialSourceWebauthn;
use Psr\Log\LoggerInterface;
use Symfony\Component\HttpFoundation\RequestStack;

/**
 * WebAuthn base class.
 */
abstract class WebAuthnBase {

  /**
   * Constructs an WebauthnJwtBase.
   */
  public function __construct(
    protected readonly AccountProxyInterface $currentUser,
    protected readonly PublicKeyCredentialSourceWebauthn $webauthn,
    protected readonly LoggerInterface $logger,
    protected readonly AnonymousStoreInterface $store,
    protected readonly UserService $userService,
    RequestStack $requestStack,
  ) {
  }

}
