<?php

declare(strict_types=1);

namespace Drupal\dwarl_test;

/**
 * Test helper functions.
 */
class Utils {

  /**
   * Check if this is a valid test user handle.
   *
   * @param string $userHandle
   *   The user handle.
   *
   * @return bool
   *   Is it a valid test handle?
   */
  public static function isValidTestUserHandle(string $userHandle): bool {
    if (str_ends_with($userHandle, '@dwarl-example.com')) {
      return TRUE;
    }

    if (str_starts_with($userHandle, '+447761730') && str_ends_with($userHandle, '@dwarl.com')) {
      return TRUE;
    }
    return FALSE;
  }

}
