<?php

declare(strict_types=1);

namespace Drupal\dwarl_test\WebAuthn;

use Drupal\dwarl\WebAuthn\AuthenticateRequest as DwarlAuthenticateRequest;
use Drupal\dwarl_test\Utils;
use Drupal\user\UserInterface;

/**
 * Authenticate request and return a JWT token.
 */
class AuthenticateRequest extends DwarlAuthenticateRequest {

  /**
   * {@inheritdoc}
   */
  public function execute(string $userHandle, string $authenticationRequest): UserInterface {

    if ($authenticationRequest !== '=== test authentication request ===') {
      throw new \RuntimeException('Invalid test authentication request: ' . $authenticationRequest);
    }

    if (Utils::isValidTestUserHandle($userHandle) === FALSE) {
      throw new \RuntimeException('AuthenticateRequest Invalid test user handle.');
    }

    $user = $this->userService->loadByUserHandle($userHandle);

    // @todo check if user is blocked here?
    user_login_finalize($user);

    return $user;
  }

}
