<?php

declare(strict_types=1);

namespace Drupal\dwarl_test\WebAuthn;

use Drupal\dwarl\WebAuthn\RequestOptions as DwarlRequestOptions;
use Drupal\dwarl_test\Utils;

/**
 * Get request options.
 */
class RequestOptions extends DwarlRequestOptions {

  public const TEST_CHALLENGE = '=== test authentication request ===';

  /**
   * {@inheritdoc}
   */
  public function getRequestOptions(string $userHandle): ?object {
    $user = $this->userService->loadByUserHandle($userHandle);
    if (!$user) {
      throw new \RuntimeException('User not found.');
    }
    if (Utils::isValidTestUserHandle($user->getEmail()) === FALSE) {
      throw new \RuntimeException('RequestOptions Invalid test user handle.');
    }
    return (object) ['challenge' => self::TEST_CHALLENGE];
  }

}
