<?php

declare(strict_types=1);

namespace Drupal\Tests\dwarl\Functional;

use Drupal\Tests\dwarl\Traits\AccountRecoveryTrait;

/**
 * Account recovery tests.
 *
 * See https://cheatsheetseries.owasp.org/cheatsheets/Multifactor_Authentication_Cheat_Sheet.html#resetting-mfa
 */
class AccountRecoveryTest extends TestBase {
  use AccountRecoveryTrait;

  /**
   * Create an account recovery code and use it to get a token.
   */
  public function testCreateAccountRecoveryCode(): void {
    $email = 'email@dwarl-example.com';
    $user = $this->dwarlCreateUser($email, ['validated_email'], NULL, 1);
    $token = $this->getJwtToken($user);

    $authRequest = $this->requestOptions($token);
    $recoveryCode = $this->generateRecoveryCode($authRequest, $token);

    $token = $this->recoverAccount($email, $recoveryCode);
    $this->getUserInfo($token);
  }

}
