<?php

declare(strict_types=1);

namespace Drupal\Tests\dwarl\Functional;

use Drupal\dwarl\ContactMethod;
use Drupal\Tests\dwarl\Traits\LoginTrait;
use Drupal\Tests\dwarl\Traits\RegisterTrait;

/**
 * Test different phone formats.
 */
class PhoneNumberFormatsTest extends TestBase {
  use RegisterTrait;
  use LoginTrait;
  use RegisterTrait;

  /**
   * Register with one format of phone and login with different format.
   */
  public function testLoginWithSameNumberInDifferentFormat() {
    $phone = '07761730123';

    $sessionId = $this->createUserPhone($phone, TRUE);

    // Get users otp code.
    $expectedPhone = '+447761730123';
    $otp = $this->getOtp($expectedPhone, ContactMethod::Phone);

    // Validate phone.
    $this->validateContactMethod($phone, $sessionId, $otp);

    // Set password.
    $password = 'electricBoogaloo2';
    $this->registerSetPassword($password, $sessionId);

    // Login with same phone.
    $this->authenticatePassword($phone, $password);
    $this->authenticatePassword('07761 730 123', $password, FALSE);
    $this->authenticatePassword('+447761-730-123', $password, FALSE);
  }

}
